Upgraden van kiwitrees

Kiwitrees wordt 4 tot 6 keer per jaar bijgewerkt.

Upgraden van kiwitrees

De standaard manier om kiwitrees te upgraden naar een nieuwe versie is makkelijk. U moet upgraden als er een nieuwe versie beschikbaar wordt gesteld. Zelfs kleine kiwitrees updates bevatten meestal een groot aantal bug fixes, verbeteringen aan de interface en programma-uitbreidingen. Geregistreerde gebruikers krijgen bericht wanneer er een update beschikbaar is.

  1. Uit voorzorg is het altijd een goed idee om een ​​back-up van uw kiwitrees database te maken voordat u verder gaat met een upgrade. Een handig hulpmiddel om dit proces te vereenvoudigen is de kiwitrees module “Database backup“.
  2. Download de nieuwste versie van kiwitrees hier.
  3. Terwijl u aan het uploaden bent van de nieuwe bestanden zou een bezoeker van uw site er tegen aan kunnen lopen dat een mix van nieuwe en oude bestanden op uw website staat. Dit kan onvoorspelbaar gedrag of fouten veroorzaken. Om dit te voorkomen zet dan uw website op “onderhoud”. Ga na  Beheer > Website Beheer > Site configuratie, klik ‘ja’ bij Website onderhoud en op opslaan. Terwijl u verder gaat met de volgende stap, laat u de browser op deze pagina open staan.
  4. Unzip de .ZIP file op uw computer, en upload alle bestanden naar uw web server, overschrijf de bestaande bestanden.
  5. Als alles is gekopieerd (en controleer dit, omdat sommige FTP software soms een paar bestanden mist) gaat u terug naar uw geopend tabblad van de browser (van punt 3 hierboven) en klik op Dashboard > Home. Dit is een belangrijke stap in de meeste upgrades en moet worden gedaan voordat u u de website onderhoudsinstelling uitschakelt. De meeste upgrades verwijderen automatisch oude bestanden, en sommigen zullen wijzigingen in de database nodig hebben. Dit wordt in werking gesteld door een bezoek aan de dashboard startpagina. Dit zal over het algemeen minder dan een seconde duren.
  6. Nu kunt u controleren of uw website nog steeds goed werkt. Controleer de belangrijkste pagina’s en zoek naar iets wat duidelijk verkeerd is. Let vooral op eventuele website wijzigingen of nieuwe toevoegingen zoals vermeld in de nieuwsbrief/e-mail om te zien of een van deze moet worden geconfigureerd.
  7. Zodra u tevreden bent dat de upgrade OK is, ga dan naar Beheer > Website Beheer > Site configuratie, klik ‘nee’ bij Website onderhoud en op opslaan. Uw gebruikers hebben nu toegang tot de website en kunnen gebruik maken van de nieuwe mogelijkheden!

ALGEMENE OPMERKING: Afhankelijk van de veranderingen in de nieuwe bestanden, uw browser en eventueel andere factoren, is het altijd verstandig om zowel de kiwitrees cache en uw browser cache onmiddellijk te wissen nadat de upgrade is voltooid. De kiwitrees cache kan worden gewist door te gaan naar Beheer > Website beheer > Ruim data map op en de cache te verwijderen.

OPMERKING voor gebruikers met aangepaste code (modules, thema’s, enz.) welke niet standaard  in kiwitrees zitten). Het is zeer waarschijnlijk uw aangepaste code niet zal werken na een kiwitrees upgrade. Daarom moet u alle aangepaste code uitschakelen voordat u de upgrade gaat uitvoeren. Schakel aangepaste modules uit, schakel over naar een standaard thema, en verwijder eventuele code “hacks”. Zodra de upgrade is voltooid en u tevreden bent en uw website is volledig operationeel, neem dan contact op met de maker van die modules of thema’s voor een nieuwe versie.

OPMERKING voor Macintosh gebruikers. Stap 4 gaat ervan uit u een kopie tool gebruikt die mappen samenvoegt in plaats van vervangt. (Samenvoegen is standaard gedrag van Windows and Linux.) Als u de Macintosh Finder of andere soortgelijke tool gebruikt om stap 3 uit te voeren, zal het uw configuratie, media en andere mappen vervangen door de lege/standaard instellingen van de installatie. Dat zou niet goed zijn (maar u heeft wel een back-up in stap 1 gemaakt, als het goed is). Verdere details en aanbevelingen voor de juiste tools kunt u vinden door te zoeken op google.com

Versie specifieke upgrade instructies

De meerderheid van deze upgrade bevat bug fixes en kleine verbeteringen. Echter is er een wijziging die invloed heeft op bijna ELK bestand in het systeem. In deze versie is de oude code gebruikmakend van het voorvoegsel “WT_” vervangen met het voorvoegsel “KT_” om redenen die duidelijk zullen zijn voor iedereen die de geschiedenis van kiwitrees kent! Voor elke standaard website zal dit totaal automatisch zin en zal het geen zichtbaar effect hebben op het gebruik van kiwitrees of het upgraden.

Maar als u aangepaste bestandens heeft in uw systeem is het aannemelijk dat deze het “WT_” voorvoegsel hebben en ze moeten allemaal gewijzigd worden naar “KT_”. Als u er een vergeet zal de pagina of uw website niet openen en zult u een foutbericht krijgen zoals “HTTP ERROR 403 ACCESS FORBIDDEN”. Typische aangepaste bestanden zijn aangepaste thema bestanden (mystyle.css, myheader.php, mytheme.php, myfooter.php); aangepaste taalbestanden, aangepaste “histo” bestanden, aangepaste modules of gekopieerde modules, non-kiwitrees html of php-bestandens. 
Note: Als u na de upgrade foutberichten ziet als:
ERROR 8: Use of undefined constant KT_USER_ID – assumed ‘KT_USER_ID’
Maak u geen zorgen. Ze worden veroorzaakt door de opgeslagen sessie details van voordat u ging upgraden nog verwachtend “WT_xxxx” te zien. Het betekent niet dat de upgrade niet goed is. Logout, sluit uw browser en log weer in. U zult deze berichten niet meer zien.

Als u een upgrade doet van een elke versie eerder dan 3.3.1 leest u altublieft de upgrade-instructies voor elke versie na de uwe voordat u verder gaat. U kunt veilig upgraden van elke versie naar de nieuwste versie in een keer, maar het is verstandig om de specifieke problemen die naar vooren komen bij elke nieuwe versie wijziging.

Er zijn geen speciale acties nodig als u een upgrade doet van een versie uit de 3 serie. Volg de stappen hierboven. Maar doet u een upgrade uit een eerdere versie dan 3.0.0 dan zal u ook de instructies moeten volgen voor “Upgrade naar kiwitrees 3.0.0”.

Nuttige informatie

  1. Deze versie heeft een complete upgrade van het berichtensysteem, inclusief het verwijderen van het interne berichtensysteem. Als deel van de upgrade, zal het systeem elk gebruikersaccount instellen van “Kiwitrees gebruikt interne berichten ” naar “Kiwitrees verstuurd emails”.
  2. Alle berichten die voorheen bewaard werden in het interne berichtensysteem zullen NIET worden verwijderd. Ze blijven in de  “xxx_message” tabel van uw database, maar kunnen niet langer bereikt worden, anders dan door directe toegang van die database. U kan er voor kiezen om deze of te behouden of op een gegeven moment te verwijderen.
  3. Veranderingen aan de census assistent kunnen  resulteren in kleine wijzigingen aan de manier waarop de bestaande  census transcripties (gedeelde notities) worden weergegeven vergeleken met nieuwe. Als u de voorkeur geeft om de ouderen gelijk te maken met de nieuwe, kan dat in de meeste gevallen gedaan worden door  de Batch update (zoek en vervang) tool te gebruiken. Dit bevat de meer belangrijke verandering voor het UK 1939 Register van RESI tags naar CENS tags.

Versie 3.3.0 bevat veel meer wijzigingen dan elke andere recente upgrade. Dit heeft tot gevolg dat het upgrade proces een beetje meer complex is dan gebruikelijk, en het bevat een complete vervanging van alle modules, in een nieuwe “modules_v4” map. De oude “modules_v3″map is niet verwijderd tijdens dit proces, zodat u niet per ongeluk tegen het verlies van aangepaste modules loopt. Het zal wel worden verwijderd bij de volgende upgrade. Voordat u start is het belangrijker dan ooit dat u de algemene instructies hierboven leest en volgt en ook zorgvuldig rekening houdt met de volgende aanvullingen.

  • Minimum benodigdheden voor kiwitrees zijn gewijzigd. De minimum versie van PHP is nu 5.6.0 en maximum is 7.0. PHP 7.1 is nog niet volledig getest. Versies eerder dan 5.6 “kunnen” misschien OK werken maar dit kan niet gegarandeerd en wordt ook niet ondersteund. Als u uw versie van PHP moet wijzigen, doe het voordat u een upgrade doet, maar NADAT u uw website in “onderhouds modus” zet. Dit zal voorkomen dat gebruikers (en zoekmachines) rare fouten ervaren die ze niet begrijpen.
  • Als u aangepaste modules heeft (in de map “modules_v3”) kunnen deze daar veilig blijven staan tot later in het proces. Het upgrade proces zal NIET gegevens verliezen met zulke modules. Het zal er nog steeds zijn als u de modules later terugzet.
  • Het is ABSOLUUT BELANGRIJK  als u aangepaste themabestanden gebruikt (mystyle.css, myheader.php, mytheme.php, myfooter.php) of elk ander aangepast bestand (anders dan complete modules) van wat voor soort dan ook,  dat deze bestanden worden VERWIJDERD VOORDAT u start met upgraden. Als u iets vergeet krijgt u een fatal error “403 ACCESS FORBIDDEN” wanneer u probeert uw website na de upgrade te openen.
  • Nu kunt u veilig doorgaan met de upgrade zoals beschreven in punt 1 tot  en met 7 hierboven.
  • Als uw website klaar is met de upgrade vergeet dan niet om
    • leegmaken en vernieuwen van uw browser cache (zodat elke weergave van stijlverandering wordt geactiveerd)
    • Controleer uw Beheer> Modules > Beheer modules lijst en verwijder de rood gemarkeerde modules (Klik op de rode tekst om te verwijderen). Dit zijn modules die niet langer nodig zijn en deze keer is het een groot aantal!
    • Terwijl u de modules lijst bekijkt, controleer dan dat degenen die u gebruikt allemaal zijn ingeschakeld. Het is aannemelijk dat de nieuwe en vervangende “Rapport” modules moeten worden ingeschakeld
    • zet “Onderhoud modus” uit
  • Als uw website weer correct werkt ,ofschoon zonder aangepaste modules en bestanden, kunt u doorgaan met een kleine verandering aan uw aanpassingen te maken en deze terug te zetten.
    • In elk bestand bijna bovenaan onder de copyright verklaring, zoek naar een blok code zoals dit:
      if (!defined('WT_WEBTREES')) {
      header('HTTP/1.0 403 Forbidden');
      exit;
      }

      Wijzig simpelweg “WT_WEBTREES” naar “WT_KIWITREES”, sla uw bestand op en upload het terug naar de originele locatie.

    • Voor uw aangepaste modules is de wijziging hetzelfde maar u zult waarschijnlijk dat gedeelte van de code vinden alleen in bestanden genaamd “module.php”. Eenmaal de wijziging gemaakt kopieer de aangepaste module(s) naar de nieuwe “modules_v4” map.
    • Als u alle aangepaste modules verplaatst heeft of er geen had en u bent tevreden dat uw website OK werkt, mag u nu (optioneel) de niet langer gebruikte “modules_v3” map verwijderen en alle inhoud daarvan. Als u niet de behoefte voelt om het nu te verwijderen, zal het automatisch worden verwijderd bij  de volgende upgrade over een paar maand.

De upgrade naar 3.2.3 van 3.2.2 zal eenvoudig zijn. Alhoewel er zijn enkele NIEUWE opties waardoor de upgrade nog vloeiender verloopt dan eerder, dus raad ik de algemene upgrade instructies (hierboven) aan voordat u begint. Daarmee bedoel ik het bovenste gedeelte van deze pagina en volg de NIEUWE stappen nauwkeurig. Deze zijn verschillend van de stappen die u eerder bij een upgrade gelezen heeft.

Als u een upgrade doet van een versie eerder dan 3.0.0 moet u ook de instructies  volgen voor “Upgrade naar kiwitrees 3.0.0”.

De upgrade naar 3.2.2 kan zonder speciale acties uitgevoerd worden.

Na de upgrade naar 3.2.2 moet u uw menu-instellingen voor diagrammen en lijsten bekijken. Deze kunnen nu ook geconfigureerd worden voor beperkte toegang voor de de verschillende gebruikers. Bekijk ook de “Onderzoek links” sidebar module, u moet de lijst met uw links opnieuw instellen.

  • Ga eerst naar Beheer > Modules > Beheer modules en verzeker u ervan dat de diagrammen en lijsten die u wilt gebruiken zijn ingeschakeld. U kan dit eenvoudig doen door het aanklikken van de tabelkoppen van elk type om deze bovenaan de lijst te krijgen.
  • Ga dan naar Beheer > Modules > Diagrammen en Beheer > Modules > Lijsten om de toegangsbeperkingen in te stellen voor elk menu item.
  • Om de links  in te stellen van de “Onderzoek links” module, ga naar het configuratiescherm op Beheer > Tools > Onderzoek links, selecteer de links die u gebruiken wil en klik “opslaan”.

Als u een upgrade doet van een versie eerder dan 3.0.0 dan  moet u ook de instructies volgen voor “Upgrade naar kiwitrees 3.0.0”.

Er zijn geen speciale handelingen nodig als u een upgrade doet van een versie na 3.0.0. maar het kan zijn dat er geen menu wordt weergegeven. Om dit op te lossen, login (indien noodzakelijk voer in uw browser de URL naar uw-domein/login.php in) en ga naar de Beheerpagina’s. Door deze alleen maar te bezoeken, is voldoende om de upgrade te voltooien en de menu’s worden weer normaal weergegeven. Als u niet kan inloggen, verwijder de map /modules_v3/menu_calendar/ van uw server. Die mapveroorzaakt dit probleem.

Na de upgrade van elke versie naar 3.2.1 zijn er 2 wijzigingen waar aandacht voor nodig is:

  • Het “Kalender” menu item bestaat niet langer. De sub-menu items zijn verplaatst naar de “Lijsten” menu groep, en de Dag, Maand, Jaar als alternatieve weergave gecombineerd op een pagina. Dit is a) in voorbereiding op het volledig configurabel maken van de menu sub-items (volgende release) en b) het groeiend aantal  hoofdmenu-items te verminderen.
  • De groep bewerkings links onder aan de gezins tab van de persoonspagina’s zijn verplaatst naar het hoofmenu Wijzig drop-down groep. Dit maakt dat de wijzigingsopties beschikbaar zijn van ELKE van de persoonspagina tabs en komt meer overeen met het algemene gebruik van het “Wijzig” hoofdmenu-item in het systeem.

Voorbeelden van deze wijzigingen zijn te zien op “Veranderingen” lijst pagina.

Er zijn geen speciale handelingen nodig wanneer u een upgrade doet van elke versie  later dan 3.0.0

Als u een upgrade doet van een versie eerder dan 3.0.0 dan  moet u ook de instructies volgen voor “Upgrade naar kiwitrees 3.0.0”.

Na upgraden van elke versie naar 3.2.0 zijn een aantal dingen die uw aandacht nodig hebben:

  • De wijzigingen betreffen veel bestanden en alle thema’s, dus is het deze keer nog belangrijker dat u grondig  uw browser cache leegt voordat u de website gebruikt na de upgrade. Als u iets ziet dat er niet “goed uitziet”, betekent het bijna altijd dat u de cache moet leeg maken. 🙂
  • Zoals de meest nieuwe modules op bestaande websites, is het nieuwe Resources menu niet  automatisch ingeschakeld. Details om in te stellen staan op de Resource menu FAQ pagina, in de paragraaf getiteld “Configuratie”.
  • Twee modules, het Wijzigings rapport en het Persoons rapport zijn verwijderd in deze versie (vervangen door nieuwe versies onder “Resources”). In Beheer > Modules > Beheer modules zult u naast elk van deze de rode waarschuwing: “Deze module kan niet worden gevonden. Verwijder de configuratie instellingen ervan.” zien. Klik op die tekst om deze modules compleet te verwijderen.
  • U zou de blog post  over de nieuwe wijzigingsschermen moeten lezen voordat u de website na de upgrade gebruikt, om niet verrast te worden op deze andere manier van werken.
  • U kan de Onderzoek links configuratie nakijken(Beheer > Tools > Onderzoek links) als u deze heeft ingeschakeld. Er is een nieuwe link toegevoegd. U moet deze inschakelen als u deze wilt gebruiken. Misschien een goed tijdstip om de lijst van links opnieuw in te stellen.

Er zijn geen speciale handelingen nodig wanneer u een upgrade doet van 3.1.0 of zelfs 3.0.0. Maar als u een upgrade doet van elke versie eerder dan 3.0.0 dan moet u eerst de instructies van volgen van de “Upgrade naar kiwitrees 3.0.0”.

Sommige gebruikers rapporteerden een foutmelding  als deze direct na de upgrade, of in beeld (als PHP foutmeldingen is ingeschakeld op uw server) of in de kiwitrees error log):

Notice: Undefined index: characterOrder in /xxxxxxxxxxxxxxxx/kiwitrees/library/WT/I18N.php on line 276

Dit is een tijdelijke fout die kan of:

  1. genegeerd worden. Het verdwijnt wanneer de cache van kiwitrees cache is ge-update (ongeveer elke 2 uur)
  2. u kan de cache verwijderen. Ga naar  Beheer > Website beheer > Ruim datamap op > verwijder de “cache”map en vernieuw uw browservenster.

Er zijn in dit geval geen speciale handelingen nodig. Maar als u een upgrade doet van elke versie eerder dan 3.0.0, dan moet u  de instructies volgen voor  “Upgrade naar kiwitrees 3.0.0”.

Kiwitrees 3.0.0 is een belangrijke update met een aantal veranderingen die effect hebben of de manier van kijken naar en managen van de website. Het basis upgrade process is precies hetzelfde als normaal (zie hierboven), Maar eenmaal klaar dan zijn er een aantal extra stappen en sommige mogelijke problemen waar je op moet letten. Dit is geen complete lijst met veranderingen, alleen die mogelijk problemen veroorzaken tijdens de upgrade. De volledige lijst met veranderingen kunt u hier bekijken.

  1. Als uw website aangepaste of oude ongemodificeerde modules bevat, kunnen die een fout veroorzaken met een melding als
    Fatal error: Class XXXXXXX_WT_Module contains 1 abstract method and must therefore be declared abstract or implement the remaining methods (WT_Module_Menu::MenuType) in /var/www/vhosts/YOUR-DOMAIN/httpdocs/modules_v3/XXXXXX/module.php on line XXX
    
    Fatal error: Call to a member function getClientIp() on a non-object in /var/www/vhostsYOUR-DOMAIN/includes/session.php(328) : runtime-created function on line 1 

    Dit is omdat alle modules die menu-items maken nu een eenvoudig statement nodig hebben die beschrijft wat voor ‘type’ menu ze zijn. De opties zijn ‘main’ voor het hoofdmenu  en ‘other’ voor de kleinere menugroepen  zoals ‘taal, favorieten, login, etc. Om deze fouten te herstellen moet u de volgende code toevoegen, Gebruik of ‘main’ of ‘other’, in de module.php file van de veroorzakende  module(s):

    // Implement WT_Module_Menu
    public function MenuType() {
    	return 'main';
    } 
  2. Sommige gebruikers vonden helemaal geen menu-items en geen link om in te loggen of om het beheergedeelte te bereiken. Als u dit gebeurd probeer dan een of beide van deze URL’s:
    1. uw domein/admin.php Als u ingelogd bent brengt dit u rechtstreeks naar het beheergedeelte.
    2. uw domein/login.php Dit brengt u naar de login pagina. Eenmaal ingelogd kunt u 1 (hierboven) gebruiken om naar het beheergedeelte te gaan.

    Eenmaal op de beheerpagina aangekomen gebruik dan Beheer > Modules > Beheer modules om de menus die u nodig heeft in te schakelen en Beheer > Modules > Menus om ze de juiste toegangsrechten en posities in het menu te geven. Het kan handig zijn om alle menus in te schakelen en dan de menus die u niet wil gebruiken uit te schakelen.

  3. De grootste verandering in deze versie is de complete verwijdering van “Mijn pagina”. Dit had tot gevolg dat menu-items een andere locatie kregen. Zoals “Mijn account, Mijn persoonsrecord, Afmelden, en Beheer” Die onderdeel waren van het Mijn pagina-menu kunnen nu onder uw naam worden gevonden in de in het topmenu of ‘other’ menu groep.
    upgrade - admin-access

    klik voor vergroting

  4. Zo resulteerde de verwijdering van “Mijn pagina”tot de introductie van zijn vervanger de “widget bar”. Deze nieuwe feature verschijnt op alle paginas, behalve de “Home” pagina als gebruikers zijn ingelogd. Het wordt weergegeven of verborgen door gebruik te maken van een nieuwe button aan de linkerkant van het hoofd. De content daarvan wordt beheerd door gebruikers in de rol van stamboom moderator of websitebeheerder van de beheerpagina’s.
    upgrade - widget

    klik voor vergroting

    Na de upgrade ziet u deze feature pas als u het instelt. Daar zijn de volgende stappen voor nodig:

    1. Ga naar Beheer > Modules > Beheer modules
    2. Klik tweemaal op de  kolomkop “Widgets” om alle nieuwe widget modules bovenaan de lijst te krijgen. Dit zijn dezelfde als voorheen op Mijn pagina behalve voor een paar die niet passend zijn voor een side bar. (zoals “diagrammen”).
      upgrade - widget-enable

      klik voor vergroting

    3. Vink “ingeschakeld” aan voor welke u wil gebruiken. Het wordt geadviseerd om er niet teveel te gebruiken, omdat ze gepositioneerd zijn in een enkele verticale kolom, welke anders niet meer te beheren is. Selecteer er vier of vijf die informatie geven die u regelmatig gebruikt. Sla uw selectie op.
    4. Merk op dat de lijst van widgets een nieuwe module bevat genaamd “Quick links”.  Momenteel heeft het links naar Mijn account, Mijn kwartierstaat, Mijn persoonsrecord en Beheer. Het wordt aanbevolen (maar niet verplicht) om deze weer te geven in uw widgetbar voor makkelijke navigatie. Ik hoop in de toekomst het gebruik hiervan uit te breiden, door op dezelfde manier als de favorieten eenvoudig links toe te voegen of te verwijderen
    5. Ga nu naar > Modules > Widgets. Hier kunt u  het toegangsniveau instellen voor elke widget en de volgorde van weergave wijzigen  (naar boven of beneden). Voltooi deze instelling door ‘opslaan’ te klikken.
  5. Een aantal themas zijn verwijderd in deze release, na een gebruikersonderzoek welke populair waren en gebruikt werden.  Verwijderd zijn Clouds, FAB, Minimal en Simpl_grey. Al u of een gebruiker een van deze heeft ingesteld als standaard zullen zij nu het kiwitrees thema zien.  Dit kan veranderd worden,  Beheer > Stambomen > uw stamboom > Thema tab.
  6. Het gebruik van thema’s is vereenvoudigd. Het is niet langer mogelijk om als gebruiker dit in te stellen, noch voor elke stamboom een standaardthema. Er is nu een plek om een thema te selecteren welke gebruikt wordt door elke stamboom: Beheer > Stambomen> uw stamboom > Thema tab ( of de widget module “Wijzig thema” welke dit ook doet). Als dit niet is ingesteld, wordt het kiwitrees thema standaard weergegeven.
    upgrade - theme_select

    klik voor vergroting

  7. Simpl_menu2. Deze add-on is nu opgenomen in de core code met de module naan “extra menus”. De oude module zal nog werken, Maar alleen als je de aanpasing onder punt 1.(Fatal error) hierboven hebt gedaan. Alhoewel er wordt aanbevolen  om uw simpl_menu2 instellingen over te zetten naar de nieuwe module om toekomstige upgrade complicaties te vermijden. de verandering van modulenaam verzekert dat uw instellingen intact blijven na de upgrade, zodat u deze alleenhoeft te kopieren naar de nieuwe module in de beheer pagina’s. Dan kunt u fysiek de oude module verwijderen van uw server.
  8. Als alles hierboven gedaan is,  is het aannemelijk dat er een aantal modules verschijnen in de lijst Beheer > Modules > Beheer modules met de waarschuwing “Deze module kan niet worden gevonden. Verwijder de configuratie instellingen ervan”. Als u tevreden met de gekopieerde instellingen en hiermee klaar bent klik dan op deze waarschuwing voor de verwijdering van de oude module van uw systeem.

Er zijn geen speciale handelingen nodig in deze gevallen.

Als u een upgrade doet van elke versie van webtrees ouder dan 1.4.4 de instructies zijn hetzelfde met een uitzondering. Voor de upgrade verwijder ALLE content uit de map /modules_V3/ckeditor/. Dit is om de verschillen in de bestandsstructuur een plaats te geven van de laatste versie van de CKEditor WYSIWYG editor. Dit is niet noodzakelijk bij een upgrade van kiwitrees 1.4.4.0, of webtrees 1.4.5.

Als u al een upgrade heeft gedaan van de webtrees 1.5, 1.6, of 1.7 series en wil overgaan naar kiwitrees dan zult u veranderingen in de database structuur moeten aanbrengen. Al u hiermee hulp nodig heeft, neem dan aub contact op.



Have your say!

Have your say!

Deze website gebruikt Akismet om spam te verminderen. Bekijk hoe je reactie-gegevens worden verwerkt.